<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_374bf250" . "a2cd00d5f" . "5742fea7c" . "487197" => base64_decode("ZG9jdW1lbnRfdGl0" . "bGU="), "_af9f5df6df6e4ab6" . "fd5318e899627078" => base64_decode("ZG9jdW1lbnRfdHlwZ" . "Q=="));
use Claromentis\Core\Event\GenericEvent;


class DownloadDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetDocumentTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_374bf250a2cd00d" . "5f5742fea7c48719" . "7"]);
    }
    public function GetDocumentType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_af9f5df6d" . "f6e4ab6fd5" . "318e899627" . "078"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}